Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230768 - dosbox 0.70 released
Summary: dosbox 0.70 released
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dosbox
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-02 19:21 UTC by Christopher Stone
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-04 22:42:09 UTC


Attachments (Terms of Use)

Description Christopher Stone 2007-03-02 19:21:48 UTC
dosbox 0.70 has been released.

Comment 1 Christopher Stone 2007-03-04 00:37:54 UTC
There are also some problems with the spec file:

1) --enable-shots is not a recognized configure option
2) dosbox should be configured with --enable-core-inline
3) you should use make install DESTDIR=$RPM_BUILD_ROOT (%makeinstall should be
avoided whenever possible)


Comment 2 Andreas Bierfert 2007-03-04 10:30:11 UTC
Thanks for reporting, I will take a look at it now.

1) and 2) sound good to me. However what you say about %makeinstall is not how I
think about it an in this case was taken by choice and not by accident...

Comment 3 Christopher Stone 2007-03-04 17:38:25 UTC
From the packaging guidelines page:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-fcaf3e6fcbd51194a5d0dbcfbdd2fcb7791dd002

Fedora's RPM includes a %makeinstall macro but it must NOT be used when make
install DESTDIR=%{buildroot} works.

I tested the make install DESTDIR=$RPM_BUILD_ROOT and it works fine, therefore
%makeinstall should be avoided at all costs because it is a kludge.  Please read
the link above for more information.


Comment 4 Andreas Bierfert 2007-03-04 22:42:09 UTC
Thanks for the lesson ;) I still don't see the point anyway but you are right in
current version (and actually in the 0.65) make install works and as you may see
from the commits earlier I changed it so I hope you are happy :). Thanks again
for submitting the bug. 


Note You need to log in before you can comment on or make changes to this bug.